Warnings
Perform various operations for Symitar parameters.
Operations
Retrieve Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getWarnings HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WarningsWarningNumber": "NEXW45",
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"Warnings": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getWarnings"
}Retrieve Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getWarningsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"WarningsWarningNumber": 1,
"SelectableFields": {
"IncludeAllWarningsFields": true
}
}Successful operation.
{
"Warnings": {
"DisplayWarninginAcctMgr": true,
"DisplayWarninginTlrTrn": true,
"WarnDescription": "NO BATCH POSTING ALLOWED",
"WarnFmPriv": 0,
"WarnIqPriv": 0,
"WarnTrPriv": 0,
"WarningNumber": 1
},
"MessageId": "getWarningsSelectFields"
}Retrieve Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getWarningsPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"Warnings": [],
"Token": null,
"MessageId": "getWarningsPagedList"
}Retrieve Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getWarningsListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllWarningsFields": true
}
}Successful operation.
{
"WarningsList": [],
"MessageId": "getWarningsListSelectFields"
}Search Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchWarningsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllWarningsFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"WarningsList": [],
"MessageId": "searchWarningsSelectFields"
}Retrieve Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getWarningsPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllWarningsFields": true
}
}Successful operation.
{
"Warnings": [
{
"DisplayWarninginAcctMgr": true,
"DisplayWarninginTlrTrn": true,
"WarnDescription": "NO BATCH POSTING ALLOWED",
"WarningNumber": 1
}
],
"Token": "{paging-token}",
"MessageId": "getWarningsPagedListSelectFields"
}Search Warnings parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchWarningsPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 281
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"IncludeAllWarningsFields": true
}
}Successful operation.
{
"Warnings": [
{
"DisplayWarninginAcctMgr": true,
"DisplayWarninginTlrTrn": true,
"WarnDescription": "NO BATCH POSTING ALLOWED",
"WarningNumber": 1
}
],
"Token": "{paging-token}",
"MessageId": "searchWarningsPagedSelectFields"
}Update Warnings parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Successful operation.
POST /nexum/627/2022.01/parameter/updateWarningsByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WarningsWarningNumber": "NEXW45",
"WarningsUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateWarningsByID"
}Last updated
Was this helpful?